org.jboss.jca.deployers

## Interface DeployersBundle

-     @MessageBundle(projectCode="IJ")
      public interface DeployersBundle

  The deployers bundle. Message ids ranging from 020000 to 029999 inclusively.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `deploymentFailed(java.lang.String url)` Deployment failed
    `java.lang.String` | `failedToBindAdminObject(java.lang.String clz)` Failed to bind admin object
    `java.lang.String` | `invalidActivationSpec(java.lang.String clz)` Invalid activation spec
    `java.lang.String` | `invalidConnectionFactoryImplementation(java.lang.String clz)` Invalid connection factory implementation
    `java.lang.String` | `invalidConnectionFactoryImplementationDueToInterface(java.lang.String intClz, java.lang.String implClz)` Connection factory implementation doesn't implement connection factory interface
    `java.lang.String` | `invalidConnectionFactoryInterface(java.lang.String clz)` Invalid connection factory interface
    `java.lang.String` | `invalidConnectionImplementation(java.lang.String clz)` Invalid connection implementation
    `java.lang.String` | `invalidConnectionImplementationDueToInterface(java.lang.String intClz, java.lang.String implClz)` Connection implementation doesn't implement connection interface
    `java.lang.String` | `invalidConnectionInterface(java.lang.String clz)` Invalid connection interface
    `java.lang.String` | `invalidManagedConnectionFactory(java.lang.String clz)` Invalid managed connection factory
    `java.lang.String` | `invalidRequiredWorkContext(java.lang.String clz)` Invalid work context
    `java.lang.String` | `invalidResourceAdapter(java.lang.String clz)` Invalid resource adapter
    `java.lang.String` | `unableToAssociate(java.lang.String clz)` Unable to associate
    `java.lang.String` | `unableToInject(java.lang.String clz, java.lang.String name, java.lang.String value)` Unable to inject
    `java.lang.String` | `unableToStartResourceAdapter(java.lang.String clz)` Unable to start resource adapter
    `java.lang.String` | `undefinedAdminObject()` Undefined admin object
    `java.lang.String` | `undefinedManagedConnectionFactory()` Undefined managed connection factory

- - ### Method Detail

    - #### unableToStartResourceAdapter

          @Message(id=20051,
                   value="Unable to start %s")
          java.lang.String unableToStartResourceAdapter(java.lang.String clz)

      Unable to start resource adapter
      Parameters:
        `clz` - The class name
      Returns:
        The value

    - #### unableToAssociate

          @Message(id=20052,
                   value="Unable to associate %s")
          java.lang.String unableToAssociate(java.lang.String clz)

      Unable to associate
      Parameters:
        `clz` - The class name
      Returns:
        The value

    - #### undefinedManagedConnectionFactory

          @Message(id=20053,
                   value="ManagedConnectionFactory must be defined in class-name")
          java.lang.String undefinedManagedConnectionFactory()

      Undefined managed connection factory
      Returns:
        The value

    - #### undefinedAdminObject

          @Message(id=20054,
                   value="AdminObject must be defined in class-name")
          java.lang.String undefinedAdminObject()

      Undefined admin object
      Returns:
        The value

    - #### failedToBindAdminObject

          @Message(id=20055,
                   value="Failed to bind admin object %s")
          java.lang.String failedToBindAdminObject(java.lang.String clz)

      Failed to bind admin object
      Parameters:
        `clz` - The class name
      Returns:
        The value

    - #### deploymentFailed

          @Message(id=20056,
                   value="Deployment failed: %s")
          java.lang.String deploymentFailed(java.lang.String url)

      Deployment failed
      Parameters:
        `url` - The url
      Returns:
        The value

    - #### invalidManagedConnectionFactory

          @Message(id=20057,
                   value="Invalid ManagedConnectionFactory class: %s")
          java.lang.String invalidManagedConnectionFactory(java.lang.String clz)

      Invalid managed connection factory
      Parameters:
        `clz` - The class name
      Returns:
        The value

    - #### invalidActivationSpec

          @Message(id=20058,
                   value="Invalid ActivationSpec class: %s")
          java.lang.String invalidActivationSpec(java.lang.String clz)

      Invalid activation spec
      Parameters:
        `clz` - The class name
      Returns:
        The value

    - #### invalidResourceAdapter

          @Message(id=20059,
                   value="Invalid ResourceAdapter class: %s")
          java.lang.String invalidResourceAdapter(java.lang.String clz)

      Invalid resource adapter
      Parameters:
        `clz` - The class name
      Returns:
        The value

    - #### unableToInject

          @Message(id=20060,
                   value="Unable to inject: %s property: %s value: %s")
          java.lang.String unableToInject(java.lang.String clz,
                                                                                                                           java.lang.String name,
                                                                                                                           java.lang.String value)

      Unable to inject
      Parameters:
        `clz` - The class name
        `name` - The name
        `value` - The value
      Returns:
        The value

    - #### invalidRequiredWorkContext

          @Message(id=20061,
                   value="Invalid required work context: %s")
          java.lang.String invalidRequiredWorkContext(java.lang.String clz)

      Invalid work context
      Parameters:
        `clz` - The class name
      Returns:
        The value

    - #### invalidConnectionFactoryInterface

          @Message(id=20062,
                   value="Invalid connection factory interface: %s")
          java.lang.String invalidConnectionFactoryInterface(java.lang.String clz)

      Invalid connection factory interface
      Parameters:
        `clz` - The class name
      Returns:
        The value

    - #### invalidConnectionFactoryImplementation

          @Message(id=20063,
                   value="Invalid connection factory implementation: %s")
          java.lang.String invalidConnectionFactoryImplementation(java.lang.String clz)

      Invalid connection factory implementation
      Parameters:
        `clz` - The class name
      Returns:
        The value

    - #### invalidConnectionInterface

          @Message(id=20064,
                   value="Invalid connection interface: %s")
          java.lang.String invalidConnectionInterface(java.lang.String clz)

      Invalid connection interface
      Parameters:
        `clz` - The class name
      Returns:
        The value

    - #### invalidConnectionImplementation

          @Message(id=20065,
                   value="Invalid connection implementation: %s")
          java.lang.String invalidConnectionImplementation(java.lang.String clz)

      Invalid connection implementation
      Parameters:
        `clz` - The class name
      Returns:
        The value

    - #### invalidConnectionFactoryImplementationDueToInterface

          @Message(id=20066,
                   value="Connection factory implementation (%s) doesn\'t implement connection factory interface (%s)")
          java.lang.String invalidConnectionFactoryImplementationDueToInterface(java.lang.String intClz,
                                                                                                                                                                                                                 java.lang.String implClz)

      Connection factory implementation doesn't implement connection factory interface
      Parameters:
        `intClz` - The interface class name
        `implClz` - The implementation class name
      Returns:
        The value

    - #### invalidConnectionImplementationDueToInterface

          @Message(id=20067,
                   value="Connection implementation (%s) doesn\'t implement connection interface (%s)")
          java.lang.String invalidConnectionImplementationDueToInterface(java.lang.String intClz,
                                                                                                                                                                                          java.lang.String implClz)

      Connection implementation doesn't implement connection interface
      Parameters:
        `intClz` - The interface class name
        `implClz` - The implementation class name
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)